## ghemical 0.82

=== small-utilities/Makefile ===
clean:
	rm -f *.o *~
	
gp2mpqc:
	g++ -o gp2mpqc gp2mpqc.cpp
	
getpdb_cd:
	g++ -o getpdb_cd getpdb_cd.cpp
	
getpdb_ftp:
	g++ -o getpdb_ftp getpdb_ftp.cpp

symmetry:
        gcc -o symmetry -O3 -ansi -Wall symmetry.c -lm

=== src/target3/glade/src/Makefile ===
####################################################################################################

CC =		g++

BASEFLAGS =	-c -O1 -Wall
CFLAGS =	`gnome-config --cflags gnomeui` -DVERSION=\"1.0\"

OUTFILE =	test

LIBS =		$(X11LIBS) $(GNOMELIBS)
X11LIBS =	-L/usr/X11R6/lib/ -lXmu -lXi -lXext -lX11
GNOMELIBS =	`gnome-config --libs gnomeui`

SRC =		glade_callbacks.cpp \
		glade_interface.cpp \
		glade_support.cpp \
		main.cpp
		
OBJ =		$(SRC:.cpp=.o)

####################################################################################################

### before doing anything else, manually bring the sources to a state where it compiles with g++.
### you just have to add some conversions from (void *) -> (GtkWidget *), if anything at all...

$(OUTFILE):	$(OBJ)
		$(CC) -o $(OUTFILE) $(OBJ) $(LIBS)
		
%.o: %.cpp
		$(CC) $(BASEFLAGS) $(CFLAGS) $(@:.o=.cpp)
		
clean:
		rm -f *.o *~
		
main:
		mv main.c main.cpp
		
####################################################################################################

### ok, glade seems to retain changes (at least) in "callbacks"-files automatically, but it
### seems that we still have to make some manual modifications also to "interface"-files. this
### system will store changes to diffs and then restore them to the main tree files. this way
### it's also quick and easy to study how the GLADE code works, and how to best implement
### certain things there.

### just run "make diffs" *before* you issue the rebuild-command in GLADE, which then updates
### the GLADE code in this directory. *after* the rebuild run "make update"; this will make
### backups from the files in the main tree, copy the new sources there, and apply the patches
### to the files in main tree. if everything went fine, you can then "make diffs" again and
### repeat the cycle...

### this system will *not* work if you change the names of widgets/callbacks in GLADE?!?!?!
### then just try to make the changes manually?!?!?!?!

diffs:		# values returned by diff seems to confuse make -> just force to run all...
		diff -c3p glade_callbacks.cpp ../../glade_callbacks.cpp > callbacks.cpp.diff; \
		diff -c3p glade_callbacks.h ../../glade_callbacks.h > callbacks.h.diff; \
		diff -c3p glade_interface.cpp ../../glade_interface.cpp > interface.cpp.diff; \
		diff -c3p glade_interface.h ../../glade_interface.h > interface.h.diff
		
update:
		cp ../../glade_callbacks.cpp ../../glade_callbacks.cpp~
		cp ../../glade_callbacks.h ../../glade_callbacks.h~
		cp ../../glade_interface.cpp ../../glade_interface.cpp~
		cp ../../glade_interface.h ../../glade_interface.h~
		
		cp glade_callbacks.cpp ../../
		cp glade_callbacks.h ../../
		cp glade_interface.cpp ../../
		cp glade_interface.h ../../
		
		cd ../../; patch --ignore-whitespace --fuzz=3 -p2 < glade/src/callbacks.cpp.diff
		cd ../../; patch --ignore-whitespace --fuzz=3 -p2 < glade/src/callbacks.h.diff
		cd ../../; patch --ignore-whitespace --fuzz=3 -p2 < glade/src/interface.cpp.diff
		cd ../../; patch --ignore-whitespace --fuzz=3 -p2 < glade/src/interface.h.diff
		
####################################################################################################

## ghemical 1.90

=== src/simple_test/Makefile ===
CFLAGS = -g -c `pkg-config --cflags libgnomeui-2.0 libgnome-2.0`
LIBS = `pkg-config --libs libgnomeui-2.0 libgnome-2.0`

container:	container.o
		g++ -o container ${LIBS} container.o

%.o: %.cpp
		g++ ${CFLAGS} $< -o $@

clean:
		rm -f *.o
		rm -f container

## ghemical 2.10

=== src/pixmaps/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# src/pixmaps/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/ghemical
pkglibdir = $(libdir)/ghemical
pkgincludedir = $(includedir)/ghemical
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/pixmaps
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/ghemicalconfig.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(pixmapsdir)"
pixmapsDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pixmaps_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dcurtis/development/ghemical/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/dcurtis/development/ghemical/missing --run tar
APPRELEASEDATE = 2006-08-07
APPVERSION = 2.10
AR = /usr/bin/ar
AUTOCONF = ${SHELL} /home/dcurtis/development/ghemical/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dcurtis/development/ghemical/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dcurtis/development/ghemical/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gtkglext-1.0 -I/usr/lib/gtkglext-1.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0   -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/openbabel-2.0   -I/usr/local/include/ghemical  
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTKGLEXT_CFLAGS = -I/usr/include/gtkglext-1.0 -I/usr/lib/gtkglext-1.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0  
GTKGLEXT_LIBS = -Wl,--export-dynamic -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lpangox-1.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBGHEMICAL_CFLAGS = -I/usr/local/include/ghemical  
LIBGHEMICAL_LIBS = -L/usr/local/lib -lghemical  
LIBGLADE_CFLAGS = -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBGLADE_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lz -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
LIBOBJS = 
LIBS = -lXi -lXext -lXmu -lX11 -lglut -lGLU -lGL -lm  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -Wl,--export-dynamic -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lpangox-1.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lz -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -pthread -lgthread-2.0 -lglib-2.0   -lopenbabel   -L/usr/local/lib -lghemical  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/dcurtis/development/ghemical/missing --run makeinfo
OBJEXT = o
OPENBABEL_CFLAGS = -I/usr/include/openbabel-2.0  
OPENBABEL_LIBS = -lopenbabel  
PACKAGE = ghemical
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ghemical
PACKAGE_STRING = ghemical 2.10
PACKAGE_TARNAME = ghemical
PACKAGE_VERSION = 2.10
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.10
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/bin/pkg-config
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/dcurtis/development/ghemical/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir_ = /home/dcurtis/development/ghemical
pixmapsdir = $(datadir)/ghemical/2.10/pixmaps
pixmaps_DATA = \
	ghemical.png

EXTRA_DIST = $(pixmaps_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/pixmaps/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/pixmaps/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-pixmapsDATA: $(pixmaps_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pixmapsdir)" || $(mkdir_p) "$(DESTDIR)$(pixmapsdir)"
	@list='$(pixmaps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pixmapsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pixmapsdir)/$$f'"; \
	  $(pixmapsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pixmapsdir)/$$f"; \
	done

uninstall-pixmapsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pixmaps_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(pixmapsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pixmapsdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(pixmapsdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-pixmapsDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

## ghemical 3.0.0

=== debian/changelog ===
ghemical (3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Building against openbabel 3.0.0.

 -- Andrius Merkys <merkys@debian.org>  Thu, 23 Jan 2020 02:39:36 -0500

ghemical (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Point Vcs fields to Salsa.
  * debhelper 11
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 02 Jan 2019 15:15:34 +0100

ghemical (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 07 Dec 2017 16:14:00 +0100

ghemical (3.0.0-2) unstable; urgency=medium

  * Team upload

  [ Daniel Leidert (dale) ]
  * debian/control (Uploaders): Removed myself.
  * debian/patches/fix_de_po.patch: Added.
    - Fix umlauts in German translation.
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/patches/fix_help_browser.patch: New patch, change browser for help
    content from "mozilla" to "sensible-browser" (closes: #687028).

  [ Graham Inggs ]
  * debian/compat,control,rules: Switch to debhelper 10 (Closes: #773019)
  * debian/clean: Added to prevent FTBFSx2
  * debian/control (Recommends): Added xfonts (Closes: #567600)
  * debian/patches/fix_spelling_errors.patch: Added
    - Fix some spelling errors (Closes: #639321)
  * debian/patches/fix_clang_ftbfs.patch: Added
    - Fix FTBFS with clang instead of gcc (Closes: #756440)
  * debian/control: Use secure URI for Vcs-Browser and
    canonical URI for Vcs-Svn
  * debian/ghemical.menu: Dropped, see #741573
  * debian/rules: Symlink icon where ghemical.desktop can find it
  * debian/control: Bump Standards-Version to 3.9.8

 -- Graham Inggs <ginggs@debian.org>  Wed, 25 Jan 2017 14:13:39 +0200

ghemical (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Dropped dpatch. Increased libghemical-dev
    and liboglappth-dev versions. Added chrpath.
    (Vcs-Browser): Point to real location.
    (Description): Fixed description-synopsis-starts-with-article.
  * debian/dirs: Renamed to debian/ghemical.dirs.
  * debian/docs: Renamed to debian/ghemical.docs.
  * debian/manpages: Renamed to debian/ghemical.manpages.
  * debian/menu: Renamed to debian/ghemical.menu.
  * debian/rules: Removed dpatch stuff. Remove rpath from binary.
  * debian/README.source: Dropped obsolete file.
  * debian/source/format: Added for source format 3.0 (quilt).
  * debian/patches/german_translation.dpatch: Dropped (applied upstream).
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 27 Nov 2011 20:19:27 +0100

ghemical (2.99.2-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/compat: Bumped dh compat level to 7.
  * debian/control (Build-Depends): Bumped dh version.
    (Standards-Version): Bumped to 3.8.4.
  * debian/ghemical.install: Added. Replaces the install hint in debian/rules.
  * debian/rules: Debhelper 7 rewrite.

  [ Michael Banck ]
  * debian/patches/german_translation.dpatch: Added (closes: #639322).
    - po/de.po: Adds german translation by Chris Leick <c.leick@vollbio.de>.
    - po/LINGUAS: Adjusted.
  * debian/patches/00list: Adjusted.
  * debian/control (Standards-Version): Bumped to 3.9.2.

 -- Michael Banck <mbanck@debian.org>  Mon, 05 Sep 2011 19:02:09 +0200

ghemical (2.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Added intltool. Adjusted libghemical-dev version
    requirements.
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/patches/gcc_43_fixes.dpatch: Dropped (applied upstream).
  * debian/patches/numeric_locale_C_required.dpatch: Ditto.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 23 Sep 2009 00:00:49 +0200

ghemical (2.98-2) unstable; urgency=low

  * Rebuild for unstable.

  * debian/control (Vcs-Svn): Set back to unstable location.
  * debian/copyright: Fixed license information (it's GPL2+).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 22 Feb 2009 03:01:23 +0100

ghemical (2.98-1) experimental; urgency=low

  * New upstream release 2.98.

  * debian/control (Build-Depends): Removed glutg3-dev. Increased versions for
    mopac7, libghemical and liboglappth.
    (Uploaders): Removed LI Daobing. Thanks for your work!
    (Standards-Version): Bumped to 3.8.0 (added README.source).
    (Vcs-Svn): Set to experimental location.
    (Depends): Added ${misc:Depends}.
  * debian/copyright: Updated and adjusted.
  * debian/rules: Minor cleanups.
    (config.status): Set build-type too. Remove F77.
  * debian/README.Debian: Updated for Xorg.
  * debian/README.source: Added to comply with policy.
  * debian/patches/447628_fix_spin_multiplicity_code.dpatch: Dropped (applied
    upstream).
  * debian/patches/numeric_locale_C_required.dpatch: Added.
    - src/project.cpp (ImportFile, ExportFile): Fix a bug observed exporting a
      file with a numeric locale != C.
  * debian/patches/gcc_43_fixes.dpatch: Added.
    - src/pangofont_wcl.cpp: Add missing headers to fix FTBFS with GCC 4.3.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 31 Jan 2009 17:59:26 +0100

ghemical (2.95-3) unstable; urgency=low

  * debian/control (Build-Depends): Fixed build-depends-on-1-revision lintian
    warning. s/refblas3-dev/libblas-dev and s/lapack3-dev/liblapack-dev
    transition and added gfortran (closes: #463948). Increased mopac7/mpqc and
    libghemical dependency.
    (Uploaders): Added myself.
    (XS-DM-Upload-Allowed): Removed XS- prefix as of dpkg 1.14.16.
  * debian/copyright: Fixed (obsolete national) encoding and added the missing
    Copyright field. Thanks to lintian.
  * debian/dirs: Removed directories we don't need to care about here.


=== debian/control ===
Source: ghemical
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: gnome
Priority: optional
Build-Depends: chrpath,
               debhelper (>= 11~),
               flex,
               gfortran,
               intltool,
               libblas-dev,
               libghemical-dev,
               libglade2-dev,
               libgtk2.0-dev,
               libgtkglext1-dev,
               liblapack-dev,
               libmopac7-dev,
               liboglappth-dev,
               libopenbabel-dev (>= 3.0.0),
               libsc-dev,
               pkg-config
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debichem-team/ghemical
Vcs-Git: https://salsa.debian.org/debichem-team/ghemical.git
Homepage: http://bioinformatics.org/ghemical/ghemical/

Package: ghemical
Architecture: any
Depends: mpqc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
Description: GNOME molecular modelling environment
 Ghemical is a computational chemistry software package written in C++.
 It has a graphical user interface and it supports both quantum-
 mechanics (semi-empirical) models and molecular mechanics models.
 Geometry optimization, molecular dynamics and a large set of
 visualization tools using OpenGL are currently available.
 .
 Ghemical relies on external code to provide the quantum-mechanical
 calculations. Semi-empirical methods MNDO, MINDO/3, AM1 and PM3 come
 from the MOPAC7 package (Public Domain), and are included in the
 package. The MPQC package is used to provide ab initio methods: the
 methods based on Hartree-Fock theory are currently supported with
 basis sets ranging from STO-3G to 6-31G**.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

LDFLAGS ?=
LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-threads --enable-openbabel

override_dh_auto_install:
	dh_auto_install
	chrpath -d $(CURDIR)/debian/ghemical/usr/bin/ghemical
	mv $(CURDIR)/debian/ghemical/usr/share/ghemical/${DEB_VERSION_UPSTREAM}/examples \
	   $(CURDIR)/debian/ghemical/usr/share/doc/ghemical
	$(RM) $(CURDIR)/debian/ghemical/usr/share/ghemical/${DEB_VERSION_UPSTREAM}/GNULICENSE.txt

override_dh_link:
	dh_link /usr/share/ghemical/$(DEB_VERSION_UPSTREAM)/user-docs /usr/share/doc/ghemical/html
	dh_link /usr/share/ghemical/$(DEB_VERSION_UPSTREAM)/pixmaps/ghemical.png /usr/share/pixmaps/ghemical.png
